Generate Content

POST /tenants/{tenant}/ai/generate

Generates content using AI based on the activity type and key provided. Supports various content types like service descriptions, proposals, workflows, pricing factors, etc.

Open to any signed-in user of the tenant: Checked in AiGenerationUseCase by activity: the caller needs Create or Update on what the content is drafted for

Parameters

NameTypeDescription
tenant* path string

The Tenant.Code

The Tenant.Code

Request Body*

{
  "activity": "ServiceGen",
  "input": "string",
  "code": "string",
  "useCache": false
}

Responses

400 Bad Request
401 Unauthorized
500 Internal Server Error